CardNotPresentException (Java SE 14 & JDK 14)
Description: declaration: module: java.smartcardio, package: javax.smartcardio, class: CardNotPresentException
Keywords: javax.smartcardio.CardNotPresentException class

Module java.smartcardio
Package javax.smartcardio

# Class CardNotPresentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.smartcardio.CardException
javax.smartcardio.CardNotPresentException

All Implemented Interfaces:
  `Serializable`

    public class CardNotPresentException
    extends CardException

Exception thrown when an application tries to establish a connection with a terminal that has no card present.

Since:
  1.6
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CardNotPresentException​(String message)` | Constructs a new CardNotPresentException with the specified detail message.
  `CardNotPresentException​(String message, Throwable cause)` | Constructs a new CardNotPresentException with the specified detail message and cause.
  `CardNotPresentException​(Throwable cause)` | Constructs a new CardNotPresentException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CardNotPresentException

    public CardNotPresentException​(String message)
    Constructs a new CardNotPresentException with the specified detail message.
    Parameters:
      `message` - the detail message

  - ### CardNotPresentException

    public CardNotPresentException​(Throwable cause)
    Constructs a new CardNotPresentException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`.
    Parameters:
      `cause` - the cause of this exception or null

  - ### CardNotPresentException

    public CardNotPresentException​(String message, Throwable cause)
    Constructs a new CardNotPresentException with the specified detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause of this exception or null